## jruby-mavengem 2.0.1

=== debian/changelog ===
jruby-mavengem (2.0.1-2) unstable; urgency=medium

  * Source-only upload for testing migration, no changes.

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 23 Feb 2024 15:26:39 -0500

jruby-mavengem (2.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1054332)

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 22 Oct 2023 01:33:07 -0400
