=== debian/control ===
Source: jruby-mavengem
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 jruby,
 libcommons-codec-java,
 libjruby-maven-plugin-java,
 libmaven-install-plugin-java,
 maven-debian-helper,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/jruby-mavengem.git
Vcs-Browser: https://salsa.debian.org/java-team/jruby-mavengem
Homepage: https://github.com/jruby/mavengem
Rules-Requires-Root: no

Package: libjruby-mavengem-maven-plugin-java
Architecture: all
Multi-Arch: foreign
Depends:
 ${maven:Depends},
 ${misc:Depends},
Suggests:
 ${maven:OptionalDepends},
Description: Mavengem Protocol and Mavengem Wagon
 mavengem protocol converts a rubygems repository on the fly to a
 maven repository and the mavengem wagon uses it to provide gem
 artifacts to maven POMs
