=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=maven

override_dh_auto_build:
	# build in two passes because of a circular dependency between
	# rubygems-tools and mavengem-wagon

	# first patch out rubygems and mavengem-wagon from rubygems-tools pom
	mh_patchpom -plibjruby-mavengem-maven-plugin-java --debian-build --keep-pom-version --maven-repo=$(CURDIR)/debian/maven-repo \
		--extra-ignore-rule="org.jruby.maven mavengem-wagon * * * *" \
		rubygems-tools/pom.xml rubygems-tools/pom.xml.save

	# ensure org.jruby.maven local maven repo is writeable
	mkdir debian/maven-repo/org/jruby/maven.tmp
	cp -L -Rv debian/maven-repo/org/jruby/maven/* debian/maven-repo/org/jruby/maven.tmp/
	rm -Rf debian/maven-repo/org/jruby/maven
	mv debian/maven-repo/org/jruby/maven.tmp debian/maven-repo/org/jruby/maven

	# execute first build, without mavengem-tools
	dh_auto_build -- install -DskipTests

	# repatch poms, this time include mavengem-wagon
	mh_unpatchpoms -plibjruby-mavengem-maven-plugin-java
	mh_patchpoms -plibjruby-mavengem-maven-plugin-java --debian-build --keep-pom-version --maven-repo=$(CURDIR)/debian/maven-repo

	# make built jars available for the next build in d/maven-repo
	mkdir debian/maven-repo/org/jruby/maven/mavengem-protocol/debian
	ln -s ../$(DEB_VERSION_UPSTREAM)/mavengem-protocol-$(DEB_VERSION_UPSTREAM).jar \
		debian/maven-repo/org/jruby/maven/mavengem-protocol/debian/mavengem-protocol-debian.jar
	mkdir debian/maven-repo/org/jruby/maven/mavengem-wagon/debian
	ln -s ../$(DEB_VERSION_UPSTREAM)/mavengem-wagon-$(DEB_VERSION_UPSTREAM).jar \
		debian/maven-repo/org/jruby/maven/mavengem-wagon/debian/mavengem-wagon-debian.jar

	# second, real build
	dh_auto_build
