=== debian/watch ===
version=4
opts=repack,compression=xz \
https://github.com/jruby/mavengem/tags .*/mavengem-@ANY_VERSION@.tar.gz
